org.apache.olingo.odata2.ref.model

## Class Employee

- java.lang.Object
- - org.apache.olingo.odata2.ref.model.Employee

- Direct Known Subclasses:
    Manager

      public class Employee
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Employee(int employeeId, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `getAge()`
    `String` | `getEmployeeName()`
    `Calendar` | `getEntryDate()`
    `String` | `getId()`
    `byte[]` | `getImage()`
    `String` | `getImageType()`
    `String` | `getImageUri()`
    `Location` | `getLocation()`
    `Manager` | `getManager()`
    `Room` | `getRoom()`
    `Team` | `getTeam()`
    `int` | `hashCode()`
    `void` | `setAge(int age)`
    `void` | `setEmployeeName(String employeeName)`
    `void` | `setEntryDate(Calendar date)`
    `void` | `setImage(byte[] image)`
    `void` | `setImage(String imageUrl)`
    `void` | `setImageType(String imageType)`
    `void` | `setImageUri(String imageUri)`
    `void` | `setLocation(Location location)`
    `void` | `setManager(Manager manager)`
    `void` | `setRoom(Room room)`
    `void` | `setTeam(Team team)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Employee

          public Employee(int employeeId,
                          String name)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setEmployeeName

          public void setEmployeeName(String employeeName)

    - #### getEmployeeName

          public String getEmployeeName()

    - #### setAge

          public void setAge(int age)

    - #### getAge

          public int getAge()

    - #### setManager

          public void setManager(Manager manager)

    - #### getManager

          public Manager getManager()

    - #### setTeam

          public void setTeam(Team team)

    - #### getTeam

          public Team getTeam()

    - #### setRoom

          public void setRoom(Room room)

    - #### getRoom

          public Room getRoom()

    - #### setImageUri

          public void setImageUri(String imageUri)

    - #### getImageUri

          public String getImageUri()

    - #### setLocation

          public void setLocation(Location location)

    - #### getLocation

          public Location getLocation()

    - #### setEntryDate

          public void setEntryDate(Calendar date)

    - #### getEntryDate

          public Calendar getEntryDate()

    - #### setImageType

          public void setImageType(String imageType)

    - #### getImageType

          public String getImageType()

    - #### setImage

          public void setImage(byte[] image)

    - #### setImage

          public void setImage(String imageUrl)

    - #### getImage

          public byte[] getImage()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.